cl.cromer.estructuras

## Class ArbolController

- java.lang.Object
- - cl.cromer.estructuras.ArbolController

All Implemented Interfaces:
  javafx.fxml.Initializable

    public class ArbolController
    extends java.lang.Object
    implements javafx.fxml.Initializable

Esta clase es para controlar todos la interfaz de Arbol.

Author:
  Chris Cromer

### Field Summary

Fields
`private Arbol` `arbol` El arbol usado en la aplicación.
`(package private) Arbol.Tipos` `arbolTipo` El tipo de arbol actual.
`private javafx.scene.text.Text` `codigoArbol` Donde va el codigo a mostrar a la pantalla.
`private javafx.scene.layout.GridPane` `contenidoArbol` Donde poner el contenido de array.
`private javafx.scene.layout.HBox` `contenidoOrder` El contendido del orden.
`private java.util.ResourceBundle` `resourceBundle` Donde está guardado los idiomas.
`private javafx.scene.Scene` `scene` La escena donde está cosas graficas.
`private TextFieldLimited` `valorArbol` La caja para ingresar textos.
`private TextFieldLimited` `valorRotar` El nodo a rotar.

### Constructor Summary

Constructors
Constructor and Description
`ArbolController()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `botonEliminar()` Eliminar un valor del arbol y mostrar el codigo en la pantalla.
`protected void` `botonInOrder()` Mostrar los elementos en orden de in order.
`protected void` `botonInsertar()` Insertar un valor al array y mostrar el codigo en la pantalla.
`protected void` `botonLlenar()` Llenar un arbol al azar.
`protected void` `botonPostOrder()` Mostrar los elementos en orden de post order.
`protected void` `botonPreOrder()` Mostrar los elementos en orden de pre order.
`protected void` `botonRotarDerecha()` Rotar el nodo a la izquerda.
`protected void` `botonRotarIzquerda()` Rotar el nodo a la izquerda.
`protected void` `botonVaciar()` Vaciar el arbol de todos los valores.
`private void` `generarGrafico()` Este metodo generará el grafico de arbol en la ventana.
`private java.lang.String` `getTipoString()` Devolver el tipo de arbol en un string.
`void` `initialize(java.net.URL location, java.util.ResourceBundle resourceBundle)` Inicializar todos los datos y dibujar las graficas.
`private void` `initializeArbol()` Crear un arbol nuevo.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### valorArbol

    private TextFieldLimited valorArbol

La caja para ingresar textos.

#### valorRotar

    private TextFieldLimited valorRotar

El nodo a rotar.

#### contenidoArbol

    private javafx.scene.layout.GridPane contenidoArbol

Donde poner el contenido de array.

#### contenidoOrder

    private javafx.scene.layout.HBox contenidoOrder

El contendido del orden.

#### codigoArbol

    private javafx.scene.text.Text codigoArbol

Donde va el codigo a mostrar a la pantalla.

#### scene

    private javafx.scene.Scene scene

La escena donde está cosas graficas.

#### resourceBundle

    private java.util.ResourceBundle resourceBundle

Donde está guardado los idiomas.

#### arbol

    private Arbol arbol

El arbol usado en la aplicación.

#### arbolTipo

    Arbol.Tipos arbolTipo

El tipo de arbol actual.

### Constructor Detail

#### ArbolController

    public ArbolController()

### Method Detail

#### initialize

    public void initialize(java.net.URL location,
                           java.util.ResourceBundle resourceBundle)

Inicializar todos los datos y dibujar las graficas.

Specified by:
  `initialize` in interface `javafx.fxml.Initializable`
Parameters:
  `location` - URL: El URL de fxml en uso.
  `resourceBundle` - ResourceBundle: Tiene datos de idioma.

#### botonLlenar

    protected void botonLlenar()

Llenar un arbol al azar.

#### botonVaciar

    protected void botonVaciar()

Vaciar el arbol de todos los valores.

#### botonInsertar

    protected void botonInsertar()

Insertar un valor al array y mostrar el codigo en la pantalla.

#### botonEliminar

    protected void botonEliminar()

Eliminar un valor del arbol y mostrar el codigo en la pantalla.

#### botonRotarIzquerda

    protected void botonRotarIzquerda()

Rotar el nodo a la izquerda.

#### botonRotarDerecha

    protected void botonRotarDerecha()

Rotar el nodo a la izquerda.

#### botonPreOrder

    protected void botonPreOrder()

Mostrar los elementos en orden de pre order.

#### botonInOrder

    protected void botonInOrder()

Mostrar los elementos en orden de in order.

#### botonPostOrder

    protected void botonPostOrder()

Mostrar los elementos en orden de post order.

#### initializeArbol

    private void initializeArbol()

Crear un arbol nuevo.

#### getTipoString

    private java.lang.String getTipoString()

Devolver el tipo de arbol en un string.

Returns:
  String: El tipo de arbol.

#### generarGrafico

    private void generarGrafico()

Este metodo generará el grafico de arbol en la ventana.